import { StrongGraphQLInputType, StrongGraphQLOutputType, StrongGraphQLInputOutputType } from './type';
/**
 * Creates a strong list type where the inner type is whatever GraphQL strong
 * type is passed in.
 */
export declare function createListType<TValue>(type: StrongGraphQLInputOutputType<TValue>): StrongGraphQLInputOutputType<Array<TValue>>;
export declare function createListType<TValue>(type: StrongGraphQLInputType<TValue>): StrongGraphQLInputType<Array<TValue>>;
export declare function createListType<TValue>(type: StrongGraphQLOutputType<TValue>): StrongGraphQLOutputType<Array<TValue>>;
